using System;
using SWConfigDataClientLib.Proxies.PhoneClient;

namespace $safeprojectname$
{
    class Program 
    {
        //------------------------------------------------------------------------------------
       
        static int Main(string[] args)
        {
            CDSLib client;

            if (args.Length > 2)
            {
                // Connected to local server with UsernamePassword Authentication            
                // client = new CDSLib("Username", "Password", "Servername");
                client = new CDSLib(args[0], args[1], args[2]);
            }
            else
            {
                // Connected to local server with Windows Authentication            
                client = new CDSLib();
            }
            
            if (!client.Connect())
            {
                Console.WriteLine("Connection to server '{0}' failed.", client.ServerName);
                Console.ReadLine();
                return 1;
            }

            // Get Caller List
            UserPhoneCallListEntrySortableCollection callerList = client.GetCallerList(0);

            // Show CallerList entries
            foreach (UserPhoneCallListEntry entry in callerList)
            {
                Console.WriteLine("{0}: {1} -> {2}", entry.DateTimeLocal, entry.CallingNumber, entry.CalledNumber);
            }
            Console.ReadLine();

            // Disconnect from server
            client.Disconnect();
            client = null;

            return 0;
        }

        //------------------------------------------------------------------------------------
    }
}
