using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using SWConfigDataClientLib;
using SWConfigDataClientLib.Proxies.Users;


/// <summary>
/// Summary description for CDSManager
/// </summary>
public class CDSManager
{
    private static CDSManager singelton=null;
    public static CDSManager Instance
    {
        get
        {
            if (CDSManager.singelton == null)
                CDSManager.singelton = new CDSManager();
            return CDSManager.singelton;
        }
    }
    
    private LibManager m_LibManager;
    private UserEnum m_UserEnum;
    
    public CDSManager()
	{
        
	}

    public void connect(string user, string password, string server)
    {
        if (!user.StartsWith("ippbx:", StringComparison.OrdinalIgnoreCase))
            user = "ippbx:" + user;

        m_LibManager = new LibManager(false);
        m_LibManager.AuthenticationMode = SProxyObject.AuthenticationMode.UsernamePassword;
        m_LibManager.BaseProtocol = SProxyObject.BaseProtocol.TCP;
        m_LibManager.WSBaseUrl = server;
        m_LibManager.Username = user;
        m_LibManager.Password = password;

        m_UserEnum = m_LibManager.GetUserEnum();
    }

    public UserPrimaryCollection SelectAllUsers()
    {
        m_UserEnum.ExecuteNameFilter("%", m_UserEnum.GetOrderByList().NewListWithColumn("Name"));
        return m_UserEnum.PrimaryCollection;
    }
}
